/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 *		2.客户资料列表
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		王英杰		        2022-0-12	            1.00		   	    
 *******************************************************************************/
const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js')
const mixins = require('@/mixins/index.js')
const app = getApp()
Page({
  mixins: [mixins],

  /**
   * 页面的初始数据
   */
  data: {
    pageFlag:false,
    btnFormData:'{\"flag\":true}',
    buttonList: [{
      name: 'merge',
      title: mixins.$t("add"), //'保存'
  }],
  contentList: [{
      code: 'flag',
      title: mixins.$t("enable"), 
      type: 'checkbox'
  },  ],
  checked:true, //停用 启用 标识
    // 路由
    routeObjName: 'moneyAccount',
  },
   /**
   * @desc : 设置查询参数
   * @date : 2024/2/1 15:49
   * @author : 于继渤
   */
  setSearchParams(params) {
    if(this.data.checked){ //启用标识开启  
      params.flgValid = true
    }else{
      params.flgValid = false
    }
    return params;
  },
  /**
   * @desc : 查询
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  getData(params) {
    return this.excute(this.data.service, 'wx_list_by', params);
  },
  /**
   * @desc :   处理接口返回数据
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  handleSearchData(tableData) {
    let list = []
    list = util.convertToChildren(tableData, 'macType', 'macId') 
    list.forEach(element => {
      let balance = 0
      if (element.children) {
        element.children.forEach(subitem => {
          balance = subitem.balance + balance
        });
        element.balance = balance
      }
    });
    this.setData({
      tableData: list
    })
  },
  /**
   * @desc :   收起展开实践
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  collapseAndExpand(e) {
    let index = e.currentTarget.dataset.index
    let tableData = this.data.tableData
    let item = tableData[index]
    item.checked = !item.checked
    tableData[index] = item
    this.setData({
      tableData
    })
  },

     /**
   * @desc : 底部 新建按钮旁 启用回调事件
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  cke_change(){
    let btnFormData = JSON.parse(this.data.btnFormData)
    this.setData({
      checked:btnFormData.flag 
    })
    this.searchData()
  },
  
  /**
   * @desc : 详细页面 （编辑）
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  toDetail(e) { 
    let item = e.currentTarget.dataset.item
    const eventChannel = this.getOpenerEventChannel();
    eventChannel.emit('bindData', { data: { id: item.macId, name: item.macName } })
    wx.navigateBack({
      delta: 1
    })
  },
 
})